%define anolis_release 1
%global pypi_name hidapi
%global py_setup_args --with-system-hidapi

Name:     python-%{pypi_name}
Version:  0.13.1
Release:  %{anolis_release}%{?dist}
Summary:  Interface to the hidapi library

License:  GPLv3+ or BSD or Public Domain
URL:      https://github.com/trezor/cython-hidapi
Source0:  %{pypi_source hidapi}

BuildRequires: gcc
BuildRequires: libusb1-devel
BuildRequires: libudev-devel

BuildRequires: Cython
BuildRequires: python3-devel
BuildRequires: pytest

%description
%{summary}.


%package -n python3-hidapi
Summary:  %{summary}

%description -n python3-hidapi
%{summary}.

%package -n python3-hidapi-doc
Summary:  doc for python3-hidapi
Requires: python3-hidapi = %{version}-%{release}

%description -n python3-hidapi-doc
doc for python3-hidapi.

%prep
%autosetup -n hidapi-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install


%check
%{pytest} tests.py


%files -n python3-hidapi
%license LICENSE*.txt
%doc try.py
%{python3_sitearch}/hid%{python3_ext_suffix}
%{python3_sitearch}/hidraw%{python3_ext_suffix}
%{python3_sitearch}/hidapi-%{version}.dist-info/

%files -n python3-hidapi-doc
%doc README.rst

%changelog
* Thu Feb 02 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.13.1-1
- update to version 0.13.1

* Fri May 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.11.2-1
- Init from upstream  version 0.11.2
